MARTe2-core - User story #235

ClassRegistryDatabase unique identifier type
29.09.2015 12:28 - André Neto

Status: Closed Start date: 29.09.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.6 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Create type for the ClassRegistryDatabase. This will guarantee a consistency usage of the type between AnyType, TypeDescriptor,
ClassRegistryltem, ...

Source code files modified

Source/Core/BareMetal/LOTypes/Fractionallnteger.h
Source/Core/BareMetal/L0Types/TypeDescriptor.h
Source/Core/BareMetal/L20bjects/ClassProperties.cpp
Source/Core/BareMetal/L20bjects/ClassProperties.h
Source/Core/BareMetal/L20bjects/ClassRegistryDatabase.cpp
Source/Core/BareMetal/L20bjects/ClassRegistryDatabase.h
Source/Core/BareMetal/L20bjects/ClassRegistryltem.cpp
Source/Core/BareMetal/L20bjects/ClassRegistryltem.h
Architecture & design review
Date of the review: 29/09/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 14/10/2015

Person who did the review: André Neto

Result of review: PASS (MISRA compliant)

List of non-conformities: N/A.

Unit test review

Date of the review: 14/10/2015
Person who did the review: André Neto

Result of coverage tests review: PASS
Result of functional tests review: PASS

Result of review: PASS

List of non-conformities: N/A

History

#1 - 29.09.2015 16:28 - André Neto
- Description updated

- Status changed from New to Code: Impl

#2 - 14.10.2015 10:29 - Riccardo Vitelli

- Assignee set to Riccardo Vitelli

#3 - 14.10.2015 16:11 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#4 - 14.10.2015 16:11 - Riccardo Vitelli
- Assignee deleted (Riccardo Vitelli)

#5 - 14.10.2015 16:21 - André Neto

- Assignee set to André Neto

#6 - 14.10.2015 16:24 - André Neto

- Description updated

#7 - 14.10.2015 16:25 - André Neto
- Assignee deleted (André Neto)

#8 - 14.10.2015 16:26 - Riccardo Vitelli

- Status changed from Code: Rev to Unit: Rev

#9 - 14.10.2015 16:26 - Riccardo Vitelli

- Assignee set to André Neto

#10 - 14.10.2015 16:31 - André Neto

- Description updated

#11 - 14.10.2015 16:45 - André Neto

Merged on develop.

#12 - 14.10.2015 16:45 - André Neto
- Assignee deleted (André Neto)

#13 - 15.10.2015 09:04 - André Neto

- Status changed from Unit: Rev to Closed

#14 - 26.10.2015 15:02 - lvan Herrero

- Description updated
